<?php
######################################################################################################
# Message Version 1.0 - [16/09/2024]                                                                 #
# message2.php : Partie affichage réponse puis enregistrement et envoi mail et validation            #
# Module pour AdHoc CMS   Développé par JeanDenis                                                    #
# Site Web : https://adhoc.71site.fr/                                                                #
# D'après modules réalisés par Penanders https://www.cmsadhoc.net/                                   #
# Pop-up admin d'après Django Blais http://www.trucsweb.com/tutoriels/css/css-modal/                 #
# Licence : GNU-GPL V3                                                                               #
######################################################################################################

// construction de la page
require_once("include/config.inc");

// Importation des variables
include ("modules/message/lang/".USER_LANG."_txt_public.php"); // inclusion variables + langues
$idlg = USER_LANG;
$cfg_message = ReadCSVPairs(PATH_DAT."message/config".DBEXT); // lecture fichier de configuration du module config.dtb
$nouvlign1 = array("\r\n", "\n", "\r"); // variable saut de ligne à remplacer
$nouvlign2 = '<br />'; // variable saut de ligne de remplacement
$meta['title'] = $cfg_message['meta_tit_'.$idlg]; // Onglet de la page
$meta['description'] = $cfg_message['meta_des_'.$idlg]; // Description dans le code source

include_once(PATH_INC."hpage.inc");

if ( !isset( $_GET['part'] ) ) // affichage réponse puis enregistrement et envoi mail
{
htable($cfg_message['topmessage_'.$idlg], "100%");

// Récupération variables et construction variables pour communication
// variables série 1
$Rs1nom = $_GET[$cfg_message['s1nomc']];
if ($cfg_message['s1ch2p'] == 'oui') { 
		$Rs1ch2 = $_GET[$cfg_message['s1ch2c']];
	}
if ($cfg_message['s1ch3p'] == 'oui') { 
		$Rs1ch3 = $_GET[$cfg_message['s1ch3c']];
	}
$Rs1mail = $_GET[$cfg_message['s1mailc']];

// Com : Info de base série 1
$Infobase = '';
$Infobase = $Infobase.'<p><i>'.$cfg_message['s1nom_'.$idlg].' : </i> <b>'.$Rs1nom.'</b></p>';
if ($cfg_message['s1ch2p'] == 'oui') { 
		$Infobase = $Infobase.'<p><i>'.$cfg_message['s1ch2_'.$idlg].' : </i> <b>'.$Rs1ch2.'</b></p>';
	}
if ($cfg_message['s1ch3p'] == 'oui') {
		$Infobase = $Infobase.'<p><i>'.$cfg_message['s1ch3_'.$idlg].' : </i> <b>'.$Rs1ch3.'</b></p>';
	}
$Infobase = $Infobase.'<p><i>'.$cfg_message['s1mail_'.$idlg].' : </i> <b>'.$Rs1mail.'</b></p>';

// Com : Liste résa pour série 3
$Listenrg = '';
// variables série 3
if ($cfg_message['serie3'] == 'oui') {

// série 3 champs 1
		$Rs3c1A = $_GET[$cfg_message['s3c1Ac']];
		$Listenrg = $Listenrg.'<p><i>'.$cfg_message['s3c1A_'.$idlg].'</i> : <b>'.$Rs3c1A.'</b></p>';

} // fin variables série 3

// Com : variables série 4
$Infosup = '';
$Rs4c1 = $_GET[$cfg_message['s4c1c']];
$Rs4c1 = str_replace($nouvlign1, $nouvlign2, $Rs4c1); // Remplacement éventuels saut de ligne
$Infosup = $Infosup.'<p><i>'.$cfg_message['s4c1_'.$idlg].'</i> : <b>'.$Rs4c1.'</b></p>';
// fin variables série 3

// Affichage

echo '<hr>';
echo '<h4>'.$ZmessagerepA.'</h4>';
echo '<hr>';
echo $Infobase;
echo $Listenrg;
echo $Infosup;
echo '<hr>';

// Annulation ?
echo '<form method="post" action="message.php">
<div class="btn-group">
<input class="btn block" type="submit" name="abort" value="'.$Zabo.'" />
</div>
</form>';

// Enregistrement ?
echo '<form method="post">
<div class="btn-group">
<input class="btn block" type="submit" name="record" value="'.$Zrec.'" />
</div>
</form>';

echo '<p>'.$Zinfodonnees.'</p>';

	// enregistrements et envoi
if(isset($_POST['record'])){
$nomfichier = date('YmdHis'); // nom de fichier horodaté unique (YYYYmmddHHiiss)
$code = rand(1111, 9999); // code généré pour validation double opt-in
$userIP = USER_IP; // récupère l'adresse IP du visiteur

// construction fichier 1 contenant toutes les données du formulaire pour tableur
$fichier = fopen(PATH_DAT."message/messagebase/".$nomfichier.DBEXT, 'w+b');
fwrite ($fichier,$Rs1nom."¦");
	if ($cfg_message['s1ch2p'] == 'oui') {fwrite ($fichier,$Rs1ch2."¦");}
	if ($cfg_message['s1ch3p'] == 'oui') {fwrite ($fichier,$Rs1ch3."¦");}
fwrite ($fichier,$Rs1mail."¦");
	if ($cfg_message['serie3'] == 'oui') {fwrite ($fichier,$Rs3c1A."¦");}
fwrite ($fichier,$Rs4c1."¦");
fwrite ($fichier,$userIP."¦");
fwrite ($fichier,$code."¦");
fwrite ($fichier,$cfg_message['ess']);
fclose ($fichier);

// construction fichier 2 contenant les données du formulaire organisées pour communication et validation
$file = fopen(PATH_DAT."message/messagecom/".$nomfichier.DBEXT, 'w+b');
fwrite ($file,$Rs1mail."§");
fwrite ($file,$Infobase."§");
fwrite ($file,$Listenrg."§");
fwrite ($file,$Infosup."§");
fwrite ($file,$code."§");
fwrite ($file,$cfg_message['ess']);
fclose ($file);

$to = $Rs1mail;
$subject = $cfg_message['sujet_'.$idlg];
$lienvalid = 'https://'.$_SERVER['HTTP_HOST'].SITE_PATH.'message2.php?part=2&lg='.$idlg.'&enrg='.$nomfichier; // lien de validation

// contenu du message mail html 
$message = '
	<html>
	<head>
		<title>'.$cfg_message['sujet_'.$idlg].'</title>
	</head>
	<body>
		<p>'.$Zbonj.'<p>
		<h4>'.$ZmessagerepA.'</h4>
		<p>'.$ZmessagerepB.'</p>
		<p>-----~~~~===+¤+===~~~~-----</p>
		'.$Infobase.'
		'.$Listenrg.'
		'.$Infosup.'
		<p>-----~~~~===+¤+===~~~~-----</p>
		<p><b>'.$Zvalid.' : </b><a href="'.$lienvalid.'" >'.$lienvalid.'</a></p>
		<p>'.$Zcode.'<b>'.$code.'</b></p>
		<p></p>
	</body>
	</html> 
';

$headers[] = 'MIME-Version: 1.0' ;
$headers[] = 'Content-type: text/html; charset=utf-8' ;
$headers[] = 'From: '.$cfg_message['mailexp'] ;
if ($cfg_message['CC1ou2'] == 'oui') {
	if ($cfg_message['CC-CCI'] == 'Bcc') { 
		$headers[] = 'Bcc: '.$cfg_message['mailcc'] ;
	} else {
		$headers[] = 'Cc: '.$cfg_message['mailcc'] ;
	}
}

mail($to, $subject, $message, implode("\r\n", $headers)); // envoi mail

echo '<meta http-equiv="refresh" content="1; url=message2.php?part=1&lg='.$idlg.'" />';
}

} // fin affichage réponse puis enregistrement et envoi mail

if ( $_GET['part'] == 1 ) // affichage résultat
{
htable($cfg_message['topmessage_'.$idlg], "100%");

// affichage + quitter

echo '<hr>';
echo '<h4>'.$ZmessageresA.'</h4>';
echo '<p>'.$ZmessageresB.'</p>';
echo '<hr>';

echo '<div class="btn-group"><a href="index.php" class="btn block" target="_top">'.$Zquit.'</a></div>';
} // fin affichage résultat

if ( $_GET['part'] == 2 ) // affichage validation
{
htable($Zvalid.'/'.$cfg_message['topmessage_'.$idlg], "100%");

// affichage

echo '<hr>';

if ( isset( $_GET['enrg'] ) ) // test n° enrg passé dans l'URL
	{
	$enrg = $_GET['enrg'];
	if ( file_exists(PATH_DAT.'message/messagebase/'.$enrg.'.dbt') ) // si fichier existe
		{
		$contenu0 = fgets(fopen(PATH_DAT.'message/messagebase/'.$enrg.'.dbt', 'r'));
		$base = explode("¦", $contenu0); 
		$nbelemtbase = count($base);
		$contenu1 = fgets(fopen(PATH_DAT.'message/messagecom/'.$enrg.'.dbt', 'r'));
		$basecom = explode("§", $contenu1);
		$codeactuel = $basecom[4];
		$nbessactuel = $basecom[5];

		if ( $codeactuel <> 1000 ) // pas encore validé
			{
			if ($nbessactuel > 0) // essai disponible
				{
					
				echo '<h4>'.$Zmessageval.'</h4>' ;
				echo '<form method="POST">';
				echo '<p>'.$Zcode.'<input class="field" type="number" name="code" min="1111" max="9999" required></p>';
				echo '<div class="btn-group">
					<input class="btn block" type=submit value="'.$Zval.'"></div>';
				echo '</form>';
				if ( isset( $_POST['code'] ) )
				{
				$code = $_POST['code'];
				if ($codeactuel == $code) {$codeactuel = 1000;}
				$nbessactuel = $nbessactuel-1; // diminution nb essais

				$fichierbasecom = fopen(PATH_DAT.'message/messagecom/'.$enrg.'.dbt', 'w+b'); // réenregistrement base com
				fwrite ($fichierbasecom,$basecom[0]."§");
				fwrite ($fichierbasecom,$basecom[1]."§");
				fwrite ($fichierbasecom,$basecom[2]."§");
				fwrite ($fichierbasecom,$basecom[3]."§");
				fwrite ($fichierbasecom,$codeactuel."§");
				fwrite ($fichierbasecom,$nbessactuel);
				fclose ($fichierbasecom);

				$fichierbase = fopen(PATH_DAT.'message/messagebase/'.$enrg.'.dbt', 'w+b'); // réenregistrement base
				for ($i=0; $i < $nbelemtbase ; $i++) {
					if ($i == $nbelemtbase-2) {fwrite ($fichierbase,$codeactuel."¦");}
					elseif ($i == $nbelemtbase-1) {fwrite ($fichierbase,$nbessactuel);}
					else {fwrite ($fichierbase,$base[$i]."¦");}
				}
				fclose ($fichierbase);
				
				if ($codeactuel == 1000)
					{ // code ok
					echo '<meta http-equiv="refresh" content="1; url=message2.php?part=3&lg='.$idlg.'&enrg='.$enrg.'" />';
					}
				else
					{ // code erroné
					echo '<meta http-equiv="refresh" content="1; url=message2.php?part=4&lg='.$idlg.'&enrg='.$enrg.'" />';
					}
				}
				
				}
			else
				{ // tous les essais ont été tentés
				echo '<h4>'.$Zvalimp.'</h4>' ;
				echo '<p>'.$Zessfin.'</p>' ;
				echo '<div class="btn-group"><a href="message.php" class="btn block" target="_top">'.$Zquit.'</a></div>';
				}
			}
		else
			{ // déjà validé
			echo '<h4>'.$ZdejavalA.'</h4>' ;
			echo '<p>'.$ZdejavalB.'</p>' ;
			echo '<div class="btn-group"><a href="index.php" class="btn block" target="_top">'.$Zquit.'</a></div>';
			}
		}
	else
		{ // le fichier n'existe pas
		echo '<h4>'.$Zvalimp.'</h4>' ;
		echo '<p>'.$Znumincorr.'</p>' ;
		echo '<p>'.$Znouvclic.'</p>' ;
		echo '<div class="btn-group"><a href="index.php" class="btn block" target="_top">'.$Zquit.'</a></div>';
		}
	}
else
	{ // pas de n° de enrg dans l'URL
		echo '<h4>'.$Zvalimp.'</h4>' ;
		echo '<p>'.$Znouvclic.'</p>' ;
		echo '<div class="btn-group"><a href="index.php" class="btn block" target="_top">'.$Zquit.'</a></div>';
	}
} // fin affichage validation

if ( $_GET['part'] == 3 ) // résultat validation ok
{
htable($Zvalid.'/'.$cfg_message['topmessage_'.$idlg], "100%");

// récupération variables et envoi message
$enrg = $_GET['enrg'];
$contenu = fgets(fopen(PATH_DAT.'message/messagecom/'.$enrg.'.dbt', 'r'));
$element = explode("§", $contenu);
$Rs1mail = $element[0];
$Infobase = $element[1];
$Listenrg = $element[2];
$Infosup = $element[3];

$to = $Rs1mail;
$subject = $Zvalid.'/'.$cfg_message['sujet_'.$idlg];
$message = '
	<html>
	<head>
		<title>'.$Zvalid.'/'.$cfg_message['sujet_'.$idlg].'</title>
	</head>
	<body>
		<p>'.$Zbonj.'<p>
		<h4>'.$Zmessagevalok1A.'</h4>
		<p>'.$Zmessagevalok1B.'</p>
		<p>-----~~~~===+¤+===~~~~-----</p>
		'.$Infobase.'
		'.$Listenrg.'
		'.$Infosup.'
		<p>-----~~~~===+¤+===~~~~-----</p>
		<p></p>
	</body>
	</html> 
';

$headers[] = 'MIME-Version: 1.0';
$headers[] = 'Content-type: text/html; charset=utf-8';
$headers[] = 'From: '.$cfg_message['mailexp'] ;
	if ($cfg_message['CC-CCI'] == 'Bcc') { 
		$headers[] = 'Bcc: '.$cfg_message['mailcc'] ;
	} else {
		$headers[] = 'Cc: '.$cfg_message['mailcc'] ;
	}

mail($to, $subject, $message, implode("\r\n", $headers));

// affichage + quitter

echo '<hr>';
echo '<h4>'.$Zmessagevalok2A.'</h4>';
echo '<p>'.$Zmessagevalok2B.'</p>';
echo '<hr>';

echo '<div class="btn-group"><a href="index.php" class="btn block" target="_top">'.$Zquit.'</a></div>';
} // fin résultat validation ok

if ( $_GET['part'] == 4 ) // résultat validation ko
{
htable($Zvalid.'/'.$cfg_message['topmessage_'.$idlg], "100%");

// récupération variable
$enrg = $_GET['enrg']; // utile ??

// affichage + quitter

echo '<hr>';
echo '<h4>'.$Zvalimp.'</h4>';
echo '<p>'.$Zcodeerr.'</p>';
echo '<hr>';

echo '<div class="btn-group"><a href="index.php" class="btn block" target="_top">'.$Zquit.'</a></div>';
} // fin résultat validation ko

echo '
<!-- "Module Message V1.0" - Jean-Denis https://adhoc.71site.fr septembre 2024 - Licence: GNU-GPL V3 -->
';

// fin contenu
btable();
include_once(PATH_INC."bpage.inc");
die();
?>
