<?php
######################################################################################################
# Message Version 1.0 - [16/09/2024]                                                                 #
# it_txt_admin.inc : variables langue affichage admin                                                #
# Module pour AdHoc CMS   Développé par JeanDenis                                                    #
# Site Web : https://adhoc.71site.fr/                                                                #
# D'après modules réalisés par Penanders https://www.cmsadhoc.net/                                   #
# Pop-up admin d'après Django Blais http://www.trucsweb.com/tutoriels/css/css-modal/                 #
# Licence : GNU-GPL V3                                                                               #
######################################################################################################

$msg_pnl += array(
	'module_title'	=> "Message",
	'module_info'	=> "Questo semplice modulo aggiuntivo permette di gestire un <b>modulo di Messaggio</b> in un sito adHoc.",
	'info_longue'	=> "Questo servizio ti permette di creare un <b>modulo di Messaggio</b>, visualizzarlo in modo che i visitatori possano inviarti un messaggio e convalidarlo.<br />
Il servizio invia un <b>email</b> all'indirizzo che il visitatore ha fornito e questo potrà convalidare il suo messaggio con l'aiuto di un codice generato dal servizio (<b>double opt-in per evitare l'usurpazione dell'indirizzo email e limitare lo spam</b>).<br />
Il codice è un numero casuale di 4 cifre (da <b>1111</b> a <b>9999</b>). Si imposta il numero di tentativi consentiti. Il codice passa al valore <b>1000</b> al momento della convalida del modulo di Messaggio.<br >
Questo modulo di Messaggio può essere chiamato da un collegamento, con questo nome di file: <b>message.php</b>. Il resto della procedura è automatica.<br />
Con il link qui sotto, potrete visualizzare in un <b>pop-up</b> tutti i messaggi trasmessi e, se lo ritenete necessario, esportarli nel formato <b>. csv</b> in un foglio di calcolo. I <b>titoli brevi</b> (3 o 4 lettere o cifre) servono come <b>intestazione di colonna del foglio di calcolo</b>.",
	'affmess'		=> "Visualizza - Esportare le registrazioni.",
	'affrec'		=> "Registrazioni del modulo di Messaggio",
	'affclo'		=> "Chiudere il pop-up",
	'affexp'		=> "Esporta in formato csv",
	'affdown'		=> "Scarica il file : ",
	'connex'		=> "Il <b>modulo di Messaggio</b> è visibile solo ai membri connessi.",
	'info_mail'		=> "Scrivi gli <b>indirizzi email</b> che saranno utilizzati dal servizio :<br />
→ → Per inviare l'email di conferma contenente il link di conferma e l'email di conferma.<br />
→ → Per inviare copie (visibili o invisibili) di questi messaggi.<br />
<b>Utilizza gli indirizzi del tuo dominio, incluso l'indirizzo di spedizione.</b><br />
<i>Per informazione, di seguito, l'inizio dell'URL del tuo sito che verrà proposto come link nel messaggio inviato per conferma, seguito del numero di registrazione unico generato dallo script.</i>",
	'mailexp'		=> "Email mittente",
	'mailcc'		=> "Email ricevuta Copia conforme",
	'CC-CCI'		=> "→ → copia conforme (<b>Cc</b>) o Copia conforme invisibile (<b>Bcc</b>)",
	'CC1ou2'		=> "→ → ricevuta copia conforme al momento della presentazione (o, se '<b>non</b>': solo durante la convalida)",
	'ess'			=> "Specificare il numero di tentativi autorizzati per convalidare il codice trasmesso via email.",
	'record'		=> "Al termine delle impostazioni, Si desidera salvare il database del modulo di Messagio inizializzato (o ripristinato).<br />
Fallo solo quando il tuo modulo di Messagio è pronto per la distribuzione.<br />
NB: Se <b>oui</b>, tutti i file del vecchio database verranno cancellati irrimediabilmente.<br />
<i>Per sicurezza, questa opzione viene impostata a <b>non</b> dopo il salvataggio.</i><br />
<b>Attention</b>, se il modulo di Messagio è attivo per i visitatori, non aggiungere o eliminare più campi, non modificare più titoli brevi. Se è così, ripristinare il database.",
	'info_section1'	=> "<b>Completa le informazioni richieste in questa prima parte.</b>",
	'cons1'			=> "Scrivi le istruzioni generali di questo modulo di Messagio.",
	's1nom'			=> "Titolo del campo <b>Nome o Pseudo</b> (<i>obbligatorio</i>)",
	's1nomc'		=> "Titolo breve",
	's1ch2p'		=> "Sarà <b>presente ?</b>",
	's1ch2r'		=> "Sarà <b>obbligatorio ?</b>",
	's1ch2'			=> "Titolo di un eventuale campo (cognome, età...)",
	's1ch2c'		=> "Titolo breve",
	's1ch3p'		=> "Sarà <b>presente ?</b>",
	's1ch3r'		=> "Sarà <b>obbligatorio ?</b>",
	's1ch3'			=> "Titolo di un eventuale campo (telefono...)",
	's1ch3c'		=> "Titolo breve",
	's1mail'		=> "Titolo del campo <b>Mail o Email</b> (<i>obbligatorio</i>)",
	's1mailc'		=> "Titolo breve",
	'info_section3'	=> "<b>Completare le informazioni richieste in questa seconda parte facoltativa.</b><br />
<b><i>Un elenco a discesa possibile.</i></b><br />
Per <b>contenuti</b> dalle liste, separare le proposte per <b>|</b> :<br />
→ → così per non lasciare una proposta vuota : <b>pera|mela|ciliegia</b><br />
→ → così per lasciare una proposta vuota in cima all'elenco : <b>|pera|mela|ciliegia</b>",
	'serie3'		=> "<b>Vuoi usare questo elenco ?</b>",
	'cons3'			=> "Scrivi un comando specifico per questo elenco.",
	's3c1A'			=> "Titolo di questo elenco",
	's3c1Ac'		=> "Titolo breve",
	's3c1C'			=> "Contenuto delle varie proposte di questo elenco",
	's4c1'			=> "Titolo campo di redazione del Messaggio sotto forma di <b>textarea</b> (casella di testo) la cui immissione sarà obbligatoria",
	's4c1c'			=> "Titolo breve",
	'page_title'	=> "Titolo della pagina (tab)",
	'description'	=> "Descrizione",
	'topmessage'	=> "Nome della pagina",
	'sujet'			=> "Oggetto delle email inviate",
	'info_prive'	=> "Messaggio di info se privato",

// Ne pas modifier la ligne suivante
	'end'				=> "Fine"
)
?>
